import { IUser } from "./models/user";
import { IClient } from "./models/client";

declare module "express" {
   interface Request {
      user: IUser;
      client: IClient;
      isAdmin: boolean;
      special: boolean;
   }
}

declare module 'express-session' {
   interface SessionData {
      user_id: string;
      validated: boolean;
      login_state: {
         username: string;
         password_correct: boolean;
         webauthn_challenge?: any;
      };
   }
}
